--- title: "Execute Pipeline" url: https://docs.catalyst.zoho.com/en/api/code-reference/pipelines/execute-pipeline/ description: "This API enables you to execute an existing Catalyst Pipeline from the Catalyst console." last_updated: 2026-08-17T12:16:04Z service: Pipelines type: api --- # Execute Pipelines This API enables you to trigger the pipeline on a particular branch in the Git repository. This can be done by passing the branch name as a parameter in the request body. When triggering manual pipelines, you can simply ignore the branch name parameter in the request JSON. On triggering this API, the pipeline will be executed, and the status of execution will be returned as a response. # Get Pipeline Details This API enables you to fetch the details of a pipeline created in the Catalyst console. This can be done by passing the `pipeline_id` and the `project_id` in the request URL. The API fetches the details of the project in which the pipeline is created and the details of the pipeline. ### Request Details #### Request URL `POST` {api-domain}/baas/v1/project/{project_id}/pipeline/{pipeline_id}/run - **api-domain** (URL): The domain URL of your DC - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the project in which the pipeline has been created - **pipeline_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/pipelines/help/triggers/monitor-execution-status) of the pipeline for which the details have to be fetched. #### Request Headers **Authorization:** Zoho-oauthtoken {oauth_token} **Content-Type:** application/json **Optional Headers** **CATALYST-ORG:** {org_id} **Environment:** Development **branch:**{{Git branch name}} > **Note:**`branch` can be used when you need to trigger a manual pipeline. #### Scope ZohoCatalyst.pipeline.execution.CREATE #### Request JSON Properties - **EVENT** (string, optional): Provide any event details - **URL** (url, optional): Any additional parameter required > **Note:** We have added the EVENT and URL keys as environment variables. You can pass any required keys for the execution of the pipeline in the event JSON. ### Response Details An object containing the pipeline creation history details will be returned as a response. The object includes details such as the `history_id`, `event_time`, `history_status`. **Sample Request** ```bash curl -X POST \ https://api.catalyst.zoho.com/baas/v1/project/4000000006007/pipeline/29810101101/run -H "Authorization: Zoho-oauthtoken 1000.910*************************16.2f*************************57" \ -H 'Content-Type: application/json' \ -d ‘{ "BRANCH_NAME" : "main", \ "EVENT": "push", \ "URL": "https://www.google.com" \ } ``` **Sample Response** ```json { "status": "success", "data": { "history_id": "5000000021007", "pipeline_id": "29810101101", "event_time": "Mar 20, 2024 02:02 PM", "event_details": { "BRANCH_NAME": "main", "EVENT": "push", "URL": "https://www.google.com" }, "history_status": "Queued" } } ``` ### SDK Documentation [Execute Pipeline - Java SDK](https://docs.catalyst.zoho.com/en/sdk/java/v1/pipelines/execute-pipeline/) [Execute Pipeline - Node.js SDK](https://docs.catalyst.zoho.com/en/sdk/nodejs/v2/pipelines/execute-pipeline/) [Execute Pipeline - Python SDK](https://docs.catalyst.zoho.com/en/sdk/python/v1/pipelines/execute-pipeline/)